Last Comment Bug 766885 - [pt-PT] awesomebar placeholder awesomebar_default_text not translated
: [pt-PT] awesomebar placeholder awesomebar_default_text not translated
Status: RESOLVED FIXED
:
Product: Mozilla Localizations
Classification: Client Software
Component: pt-PT / Portuguese (show other bugs)
: unspecified
: All All
: -- major (vote)
: ---
Assigned To: João Neves
: João Neves
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 01:12 PDT by Axel Hecht [pto-Aug-30][:Pike]
Modified: 2015-10-14 14:48 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
+
fixed
+
fixed


Attachments

Description Axel Hecht [pto-Aug-30][:Pike] 2012-06-21 01:12:35 PDT
When launching fennec in pt-PT I see the English string

mozilla-aurora/pt-PT/mobile/android/base/android_strings.dtd:<!ENTITY awesomebar_default_text "Enter Search or Address">
mozilla-beta/pt-PT/mobile/android/base/android_strings.dtd:<!ENTITY awesomebar_default_text "Enter Search or Address">

We have a translation for that from xul days, I think, 

Escreva uma pesquisa ou um endereço

taken from mobile/xul/chrome/browser.dtd, urlbar.emptytext
Comment 1 Alex Keybl [:akeybl] 2012-06-21 09:26:55 PDT
I don't believe this should block, but wanted to have visibility nonetheless.
Comment 2 Axel Hecht [pto-Aug-30][:Pike] 2012-06-21 12:02:33 PDT
I got positive feedback from maricari on #metrics that the XUL translation is good.

Given that this string is *very* on users face, we've evaluated options to either push an empty string, or the XUL string.

Opted for the xul string, and I'll do another sign-off.
Comment 3 Axel Hecht [pto-Aug-30][:Pike] 2012-06-21 12:24:01 PDT
http://hg.mozilla.org/releases/l10n/mozilla-beta/pt-PT/rev/078bd2d4187d is the landing, I've just landed this on beta. Carlos, please port it to aurora and central, if it's the right thing to do.

PS: Carlos, I just realized that you're not getting bugmail for pt-PT. Would you start watching this component? https://bugzilla.mozilla.org/userprefs.cgi?tab=component_watch&product=Mozilla%20Localizations&component=pt-PT%20/%20Portuguese will let you do that.
Comment 4 Alex Keybl [:akeybl] 2012-06-22 11:46:26 PDT
(In reply to Axel Hecht [:Pike] from comment #3)
> Carlos, please port it to aurora
> and central, if it's the right thing to do.

Given this, marking 15/16 as affected and tracking for those releases to make sure this is followed up on.
Comment 5 Axel Hecht [pto-Aug-30][:Pike] 2012-07-02 05:56:08 PDT
Carlos, could you fix this on aurora still?
Comment 6 Alex Keybl [:akeybl] 2012-07-20 15:49:50 PDT
(In reply to Axel Hecht [:Pike] from comment #5)
> Carlos, could you fix this on aurora still?

Carlos/Axel - any updates here?
Comment 7 Carlos Simao 2012-07-20 16:42:48 PDT
sorry for the delay
corrected here
http://hg.mozilla.org/releases/l10n/mozilla-aurora/pt-PT/rev/de83930071dd
Comment 8 Lukas Blakk [:lsblakk] use ?needinfo 2012-08-02 12:27:16 PDT
Updating the status flags, thanks for the comment Carlos.

Note You need to log in before you can comment on or make changes to this bug.